<?php
    if($_REQUEST['ajax']) {
        switch($_REQUEST['code']) {
            case "transno":
                if(RetRstField("SELECT fnid FROM tlmachine_group WHERE ftmachine_group_code='{$_REQUEST['ftmachine_group_code']}'")) {
                    ?>
                    alert('Kode Group sudah dipakai... ');
                    <?php
                }
                else {
                    ?>
                    submitbutton('Simpan','','','','');
                    <?php
                }

                break;
        }
        die("");

    }

    Getsecurity('group_mesin');
    $objAxpDB->ViewName("Daftar Group Mesin");
    $objAxpDB->ViewSQL("SELECT fnid, ftmachine_group_code, ftmachine_group_name, ftparent_code FROM tlmachine_group ORDER BY  ftmachine_group_code,ftmachine_group_name");
    $objAxpDB->ViewCaption("ID, Kode Group, Nama Group, Group Induk");

    $objAxpDB->FormName("Group Mesin");
    $objAxpDB->FormSQL("SELECT  ftmachine_group_code, ftmachine_group_name, ftparent_code, fnlevel FROM tlmachine_group");
    $objAxpDB->FormCaption(" Kode Group, Nama Group, Group Induk, Level");
    $objAxpDB->FormScript(2, "onChange=\"ajax_do('query2.php?code=level_machine_group&obj1=' + this.value + '&obj2=fnlevel');\"");

    $objAxpDB->Lookup("ftparent_code", "SELECT ftmachine_group_code, ftmachine_group_name FROM tlmachine_group  GROUP BY fnlevel, ftmachine_group_code, ftmachine_group_name", "ftmachine_group_code", "ftmachine_group_name", -1,true);
    $objAxpDB->FormPosition("TL, TL, TL, HD");
    $objAxpDB->SetStatus("id");
    if ($objAxpDB->GetStatus("id") == "") {
            $objAxpDB->ButtonShow("baru, tutup");

    }
    elseif ($objAxpDB->GetStatus("id") == 0) {
            $objAxpDB->ButtonShow("reset, simpan, tutup");
            $objAxpDB->FormLocked("0,0,0,1,0,0");

    }
    elseif ($objAxpDB->GetStatus("id") != 0) {
            $objAxpDB->ButtonShow("update, hapus, tutup");
            $objAxpDB->FormLocked("1, 0, 0");
    }
    $objAxpDB->Process();
    $objAxpDB->WriteHtmlTable();

?>
